# Uses of Class
net.shibboleth.idp.authn.context.AuthenticationWarningContext

Packages that use AuthenticationWarningContext
Package
Description
net.shibboleth.idp.authn.context
Context classes for managing authentication-related state.

## Uses of AuthenticationWarningContext in net.shibboleth.idp.authn.context

Methods in net.shibboleth.idp.authn.context that return AuthenticationWarningContext
Modifier and Type
Method
Description
`AuthenticationWarningContext`
AuthenticationWarningContext.`addClassifiedWarning(String warning)`
Adds a classified warning to the context, ensuring that it will be returned from `getLastClassifiedWarning()` until another is added.